Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 621371

Summary: splat 1.3.0-1 not built with $RPM_OPT_FLAGS
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: splatAssignee: Randy Berry <randyn3lrx>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: bob, fedora, randyn3lrx
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: splat-1.3.0-3.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-19 01:15:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Ville Skyttä 2010-08-04 21:04:28 UTC
splat 1.3.0-1 is not built with $RPM_OPT_FLAGS, there are hardcoded compiler command lines in ./build and ./utils/build that don't take $RPM_OPT_FLAGS into account.  See blocker bug for links to fixes and note the packaging guidelines section on compiler flags.


Unrelated, but perhaps also of interest, from the build log:

Compiling fontdata... fontdata.c:34:18: fatal error: zlib.h: No such file or directory
compilation terminated.
Compilation failed!

Comment 1 Fedora Update System 2010-08-05 09:10:51 UTC
splat-1.3.0-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/splat-1.3.0-2.fc14

Comment 2 Randy Berry 2010-08-05 09:14:43 UTC
Thanks for pointing these out. I believe I have both issues fixed.

Comment 3 Fedora Update System 2010-08-05 14:24:55 UTC
splat-1.3.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update splat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/splat-1.3.0-2.fc14

Comment 4 Fedora Update System 2010-08-07 10:10:55 UTC
splat-1.3.0-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/splat-1.3.0-3.fc14

Comment 5 Fedora Update System 2010-08-10 01:29:33 UTC
splat-1.3.0-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update splat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/splat-1.3.0-3.fc14

Comment 6 Fedora Update System 2010-08-19 01:15:16 UTC
splat-1.3.0-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.